<template>
  <div class='logo'>
    <swiper class="swiper" indicator-dots="true"   indicator-active-color	="#C98E52"  circular ="true" autoplay="true" interval="5000" duration="1000">
      <block v-for="(item, index) in imgUrls" :index="index" :key="key">
        <swiper-item>
          <image :src="item" :index="index" class="slide-image" mode="aspectFill" @click="swipclick(index)"/>
        </swiper-item>
      </block>
    </swiper>
  </div>
</template>
<script type="text/ecmascript-6">
  export default {
    data(){
      return{
        imgUrls:[],
      }
    }
  }

</script>
<style type="text/scss" lang="scss">
  .logo{
    width: 375px;
    height: 0.29rem;
    z-index: 999;
    .slide-image{
      background-size: 100%;
      position: absolute;
      width: 375px;
      height: 145px;
      top: 0;
      .swiper-container{
        position: relative;
      }
      .swiper-container .swiper{
        height: 290rpx;
      }
      .swiper-container .swiper .img{
        width: 100%;
        height: 0.29rem;
      }
      .swiper-container .dots{
        position: absolute;
        left: 0;
        right: 0;
        bottom: 20rpx;
        display: flex;
        justify-content: center;
      }
      .swiper-container .dots .dot{
        margin: 0 8rpx;
        width: 14rpx;
        height: 14rpx;
        background: #fff;
        border-radius: 8rpx;
        transition: all .6s;
      }
      .swiper-container .dots .dot.active{
        width: 24rpx;
        background: #f80;
      }
    }
  }
</style>
